| Home | Libraries | People | FAQ | More

## Struct matched

boost::xpressive::op::matched

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    struct matched {
      // types
      typedef bool result_type;

      // public member functions
      template<typename Sub> bool operator()(Sub const &) const;
    };

## Description

### `matched` public member functions

1.     template<typename Sub> bool operator()(Sub const & sub) const;